Loading...
Searching...
No Matches
driver.c File Reference

Implements driver.h. More...

`#include <stdio.h>`
`#include "driver.h"`
`#include "config.h"`
`#include "lirc_log.h"`

Go to the source code of this file.

## Functions

int | get_server_version (void)
| Return numeric server version, m.v.r => 10000 * m + 100 * v + r.
int | default_open (const char *path)
| Stores path in drv.device if non-null.
int | default_close (void)
| For now, a placeholder.
int | default_drvctl (unsigned int fd, void *arg)
| Return DRV_ERR_NOTIMPLEMENTED.
int | drv_handle_options (const char *options)
| Parse an option string "key:value;key:value..." and invoke drvctl DRV_SET_OPTION as appropriate.

## Variables

struct driver | drv
| The global driver data that drivers etc are accessing.
const char *const | OPTION_FMT = "%32s%64s"
| sscanf format to parse option_t.
const struct driver *const | curr_driver = &drv
| Read-only access to drv for client code.

## Detailed Description

Implements driver.h.

Author
  Alec Leamas

License:\n GPL2 or later

Date
  August 2014

Access and support for driver.h, the global driver.

Definition in file driver.c.

## Variable Documentation

## curr_driver

const struct driver* const curr_driver = &drv

Read-only access to drv for client code.

Read-only access to drv for application.

Definition at line 34 of file driver.c.

## drv

struct driver drv

The global driver data that drivers etc are accessing.

Access to otherwise private drv.

Set by hw_choose_driver().

Definition at line 28 of file driver.c.

## OPTION_FMT

const char* const OPTION_FMT = "%32s%64s"

sscanf format to parse option_t.

Definition at line 31 of file driver.c.